Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkStreamLine Class Reference

`#include <vtkStreamLine.h>`

Inheritance diagram for vtkStreamLine:

[legend]
Collaboration diagram for vtkStreamLine:

[legend]
List of all members.

## Detailed Description

generate streamline in arbitrary dataset

Date:
  2002/01/22 15:29:47

Revision:
  1.38

vtkStreamLine is a filter that generates a streamline for an arbitrary dataset. A streamline is a line that is everywhere tangent to the vector field. Scalar values also are calculated along the streamline and can be used to color the line. Streamlines are calculated by integrating from a starting point through the vector field. Integration can be performed forward in time (see where the line goes), backward in time (see where the line came from), or in both directions. It also is possible to compute vorticity along the streamline. Vorticity is the projection (i.e., dot product) of the flow rotation on the velocity vector, i.e., the rotation of flow around the streamline.

vtkStreamLine defines the instance variable StepLength. This parameter controls the time increment used to generate individual points along the streamline(s). Smaller values result in more line primitives but smoother streamlines. The StepLength instance variable is defined in terms of time (i.e., the distance that the particle travels in the specified time period). Thus, the line segments will be smaller in areas of low velocity and larger in regions of high velocity. (NOTE: This is different than the IntegrationStepLength defined by the superclass vtkStreamer. IntegrationStepLength is used to control integration step size and is expressed as a fraction of the cell length.) The StepLength instance variable is important because subclasses of vtkStreamLine (e.g., vtkDashedStreamLine) depend on this value to build their representation.

See also:
  vtkStreamer vtkDashedStreamLine vtkStreamPoints

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (70%)
  - Geveci, Berk (14%)

CVS logs (CVSweb):
  - .`cxx` (`/Graphics/vtkStreamLine.cxx)`
  - .`h` (`/Graphics/vtkStreamLine.h)`

Examples:
  vtkStreamLine (Examples)

Tests:
  vtkStreamLine (Tests)

Definition at line 72 of file vtkStreamLine.h.

## Public Types
typedef vtkStreamer | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetStepLength (float)
virtual float | GetStepLength ()
## Static Public Methods
int | IsTypeOf (const char *type)
vtkStreamLine * | SafeDownCast (vtkObject *o)
vtkStreamLine * | New ()
## Protected Methods
| vtkStreamLine ()
| ~vtkStreamLine ()
void | Execute ()
## Protected Attributes
float | StepLength

## Member Typedef Documentation

typedef vtkStreamer vtkStreamLine::Superclass

| Reimplemented from vtkStreamer. Reimplemented in vtkDashedStreamLine. Definition at line 75 of file vtkStreamLine.h.

## Constructor & Destructor Documentation

vtkStreamLine::vtkStreamLine | ( |  | ) | `[protected]`

vtkStreamLine::~vtkStreamLine | ( |  | ) | `[inline, protected]`

| Definition at line 91 of file vtkStreamLine.h.

## Member Function Documentation

virtual const char* vtkStreamLine::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkStreamer. Reimplemented in vtkDashedStreamLine.

int vtkStreamLine::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkStreamer. Reimplemented in vtkDashedStreamLine.

virtual int vtkStreamLine::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkStreamer. Reimplemented in vtkDashedStreamLine.

vtkStreamLine* vtkStreamLine::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkStreamer. Reimplemented in vtkDashedStreamLine.

void vtkStreamLine::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkStreamer. Reimplemented in vtkDashedStreamLine.

vtkStreamLine* vtkStreamLine::New | ( |  | ) | `[static]`

| Construct object with step size set to 1.0. Reimplemented from vtkObject. Reimplemented in vtkDashedStreamLine.

virtual void vtkStreamLine::SetStepLength | ( | float |  | ) | `[virtual]`

| Specify the length of a line segment. The length is expressed in terms of elapsed time. Smaller values result in smoother appearing streamlines, but greater numbers of line primitives.

virtual float vtkStreamLine::GetStepLength | ( |  | ) | `[virtual]`

| Specify the length of a line segment. The length is expressed in terms of elapsed time. Smaller values result in smoother appearing streamlines, but greater numbers of line primitives.

void vtkStreamLine::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkSource. Reimplemented in vtkDashedStreamLine.

## Member Data Documentation

float vtkStreamLine::StepLength`[protected]`

| Definition at line 97 of file vtkStreamLine.h.

The documentation for this class was generated from the following file:

- Graphics/vtkStreamLine.h